Skip to main content
POST
/
{account_id}
/
authentication
/
create
Create a new authentication profile
curl --request POST \
  --url https://api.typeauth.com/{account_id}/authentication/create \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "ratelimit": {
    "limit": 123,
    "timeWindow": 123
  },
  "refill": {
    "amount": 123
  },
  "remaining": 123,
  "jwt_id": "<string>",
  "expires": 123,
  "byteLength": 123,
  "tags": [
    "<string>"
  ]
}
'
import requests

url = "https://api.typeauth.com/{account_id}/authentication/create"

payload = {
"name": "<string>",
"ratelimit": {
"limit": 123,
"timeWindow": 123
},
"refill": { "amount": 123 },
"remaining": 123,
"jwt_id": "<string>",
"expires": 123,
"byteLength": 123,
"tags": ["<string>"]
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
ratelimit: {limit: 123, timeWindow: 123},
refill: {amount: 123},
remaining: 123,
jwt_id: '<string>',
expires: 123,
byteLength: 123,
tags: ['<string>']
})
};

fetch('https://api.typeauth.com/{account_id}/authentication/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "message": "<string>",
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "domain": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "originHostname": "<string>",
      "detailResponse": true,
      "auth_id": "<string>",
      "llmcache_id": "<string>",
      "abuse_id": "<string>",
      "tags": [
        "<string>"
      ]
    }
  ]
}

Path Parameters

account_id
string
required

Body

application/json
name
string

Name of the authentication profile

ratelimit
object | null
refill
object | null
remaining
integer | null
keyType
enum<string>
Available options:
jwt,
token
jwt_id
string | null
expires
integer | null
byteLength
integer | null
tags
string[]

Tags of the application

Maximum array length: 5

Response

201 - application/json

Authentication profile created successfully

success
boolean
message
string
data
object[]